# WooCommerce PayXpert Payment Module

### Compatible with WooCommerce 4.8 to 9.3

> **Disclaimer:**
> The author of this plugin cannot be held responsible for any issues arising from the use of this software. There is no warranty of any kind. By using this plugin, you agree to these terms.
>
> Tested up to: 6.7.1<br>
> License: GPL-2.0-or-later<br>
> License URI: https://www.gnu.org/licenses/old-licenses/gpl-2.0.html


---

## **Changelog**

### Updates, Fixes, and Features
- **1.3.1**: Fixed an issue with home phone parameter
- **1.3.0**: Removed iframe support, added fully functional seamless integration.
- **1.2.9**: Introduced multi-language support (English, Spanish, French).
- **1.2.8**: Revamped settings page and added account validation.
- **1.2.7**: Added support for WooCommerce High-Performance Order Storage (HPOS).
- **1.2.6**: Preinstalled stable PayXpert API library.
- **1.2.5**: Added flexible fields for Seamless Checkout version and integrity hash.
- **1.2.4**: Removed "billing state" from required parameters.
- **1.2.3**: Improved checkout form string parsing.
- **1.2.2**: Resolved encoding issues.
- **1.2.1**: Added `order.type` as a required parameter.
- **1.2.0**: Introduced Seamless Checkout, WeChat Pay, and AliPay payment methods.
- **1.1.x**: Various updates, including Pay button customization and deprecated function removals.
- **1.0.0**: Initial release with iframe branch.

---

## **Installation Instructions**

1. **Upload the Plugin:**
   - Use the WordPress "Add Plugin" feature in the admin panel, or upload the plugin via FTP to the `/wp-content/plugins/` directory.

2. **Activate the Plugin:**
   - Navigate to the Plugins page in your WordPress admin area and activate the "PayXpert Payment Module."

3. **Configure Payment Gateway:**
   - Go to **WooCommerce > Settings > Payments**, and select "PayXpert" from the list of payment gateways.
   - Enable the gateway and enter the credentials provided by PayXpert:
     - **Originator ID**
     - **Password**

4. **Save Settings:**
   - Once all details are entered, click **Save Changes** to enable the PayXpert gateway.

> **Tip:** Ensure your WooCommerce environment meets the plugin’s prerequisites for optimal functionality.

For a complete step-by-step guide, visit the [PayXpert Plugin Documentation](https://payxpert-docs.atlassian.net/wiki/x/AQDxLQ).

---

## **Features**

- **Seamless Integration:** Provides a fully integrated checkout experience directly on your site.
- **Multi-Language Support:** Fully translated into English, Spanish, and French.
- **High-Performance Order Storage (HPOS):** Enhanced WooCommerce performance for large-scale stores.
- **Flexible Payment Options:** Supports card payments, WeChat Pay, and AliPay.
- **Secure Transactions:** Preconfigured with PayXpert's stable API library for secure and reliable payment processing.

---

## **Support**

For support or assistance, visit the [PayXpert website](http://www.payxpert.com) and refer to the contact details provided.

> **Note:** For faster support, include details of your WooCommerce version, plugin version, and any relevant error logs when reaching out.

---
